Namespace My

    'The following events are available for MyApplication
    '
    'Startup: Raised when the application starts, before the startup form is created.
    'Shutdown: Raised after all application forms are closed.  This event is not raised if the application is terminating abnormally.
    'UnhandledException: Raised if the application encounters an unhandled exception.
    'StartupNextInstance: Raised when launching a single-instance application and the application is already active. 
    'NetworkAvailabilityChanged: Raised when the network connection is connected or disconnected.

    Class MyApplication
        Private Sub MyApplication_UnhandledException(ByVal sender As Object, ByVal e As Microsoft.VisualBasic.ApplicationServices.UnhandledExceptionEventArgs) Handles Me.UnhandledException
            If MsgBox("The follofing exception occured:" & vbCrLf & e.Exception.Message & vbCrLf & "Do you want to create log file?", MsgBoxStyle.Critical Or MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                Dim LogFileName As String = My.Computer.FileSystem.GetTempFileName()
                My.Computer.FileSystem.WriteAllText(LogFileName, e.Exception.ToString(), False)
                System.Diagnostics.Process.Start("notepad.exe", LogFileName)
            End If
            e.ExitApplication = True
        End Sub
    End Class

End Namespace
